Skip to main content
GET
Get Mint Instructions

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

id
string
required

Unique identifier for the mint instruction

Response

Success

id
string
read-only

Unique identifier for the mint instruction

identity_id
string
read-only

Unique identifier for the identity that this mint instruction belongs to

request_id
string
read-only

Request identifier in a UUID format. Serves as an idempotency key.

stablecoin_symbol
string
read-only

Symbol of the stablecoin associated with this mint instruction

chain
enum<string>
read-only

Chain associated with this mint instruction

Available options:
ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED,
SOLANA_DEVNET,
SOLANA_MAINNET
Example:

"SOLANA_DEVNET"

mint_destination_address_id
string
read-only

Unique identifier of the mint destination address associated with this mint instruction

payment_rail
enum<string>
read-only

Payment rail associated with this mint instruction, currently only 'WIRE' is supported

Available options:
ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD_UNSPECIFIED,
WIRE
Example:

"WIRE"

fiat_currency_symbol
enum<string>
read-only

Fiat currency symbol associated with this mint instruction, currently only 'USD' is supported

Available options:
ISSUANCE_SUPPORTED_FIAT_CURRENCY_UNSPECIFIED,
USD
Example:

"USD"

memo_id
string
read-only

Memo ID associated with this mint instruction. Attach this to memo field of the WIRE transfer that will be used to initiate mints.

bank_account_details
bank_account_details · object
read-only

Details of the bank account that funds must be deposited into in order to initiate mints

label
string
read-only

Label for the mint instruction